(*
Delphi 7 project file for the libfaad2 Wrapper Filter (LWF)
Copyright 2007-2008 Griga (http://www.dvbviewer.com)
Contact me via http://www.dvbviewer.info/forum/

This file is part of the LWF 1.1.3 source code.

    The LWF is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    The LWF is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the LWF. If not, see <http://www.gnu.org/licenses/>.
*)


library Libfaad2Wrapper;

uses
  FastMM4,
  //FastMM4 (Fast Memory Manager). Not mandatory, but recommended.
  //Available from http://sourceforge.net/projects/fastmm/
  BaseClass,
  DSUtil,
  //BaseClass and DSUtil are part of the DSPack (Borland Delphi API for Direct Show)
  //Available from http://www.progdigy.com
  ULibFaad2 in 'ULibFaad2.pas',
  UWrapper in 'UWrapper.pas',
  UParser in 'UParser.pas',
  UFilterData in 'UFilterData.pas';

{$E .ax}

exports
  DllGetClassObject,
  DllCanUnloadNow,
  DllRegisterServer,
  DllUnregisterServer;

{$R *.res}

begin
end.
